<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>text-overflow, word-break, word-wrap</title>
	<style>
		.container {
			margin: 0 auto;
			width: 1170px;
		}

		.box-cards {
			display: flex;
			flex-wrap: wrap;
		}

		.box-item {
			width: 33.33%;
			height: 450px;
			padding: 16px;
			box-sizing: border-box;
		}

		.box-content {
			display: flex;
			flex-direction: column;
			height: 100%;
			flex: 1 1 auto;
			box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
		}

		.box-cards .content-image img { width: 100%; }
		.box-cards .content-header { height: 100%; padding: 0 16px; box-sizing: border-box }
		.box-cards .content-title { font-size: 32px; }
		.box-cards .text-overflow { overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }
		.box-cards .content-desc.word-break { word-break: break-all; }
		.box-cards .content-desc.white-space { white-space: nowrap; }

	</style>
</head>
<body>
<main>
	<section class="container">
		<h3 class="section-title">text-overflow, word-break, white-space</h3>
		<div class="box-cards">
			<div class="box-item">
				<div class="box-content">
					<div class="content-image"><img src="./images/img1.jpg" alt=""></div>
					<div class="content-header">
						<p class="content-title">text-overflow</p>
						<p class="content-desc text-overflow">asasdasdasdasasdasdsaddaczkcjkjdasdj@gmail.com</p>
					</div>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<div class="content-image"><img src="./images/img2.jpg" alt=""></div>
					<div class="content-header">
						<p class="content-title">word-break</p>
						<p class="content-desc word-break">asasdasdasdasasdasdsaddaczkcjkjdasdj@gmail.com</p>
					</div>
				</div>
			</div>
			<div class="box-item">
				<div class="box-content">
					<div class="content-image"><img src="./images/img3.jpg" alt=""></div>
					<div class="content-header">
						<p class="content-title">white-space</p>
						<p class="content-desc white-space">asasdasdasdasasdasdsadsadsadsaasdaczkcjkjdasdj @ gmail.com</p>
					</div>
				</div>
			</div>
		</div>
	</section>
</main>

</body>
</html>